GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
compile_file_names Class Reference

`#include "compile-internal.h"`

## Public Member Functions
| compile_file_names (std::string source_file, std::string object_file)
const char * | source_file () const
const char * | object_file () const

## Private Attributes
std::string | m_source_file
std::string | m_object_file

## Detailed Description

Definition at line 155 of file compile-internal.h.

## Constructor & Destructor Documentation

## ◆ compile_file_names()

compile_file_names::compile_file_names | ( | std::string | source_file,
|  | std::string | object_file
| ) |  |
| inline

Definition at line 158 of file compile-internal.h.

## Member Function Documentation

## ◆ object_file()

const char* compile_file_names::object_file | ( |  | ) | const
| inline

Definition at line 169 of file compile-internal.h.

References m_object_file.

Referenced by compile_object_load(), compile_to_object(), and eval_compile_command().

## ◆ source_file()

const char* compile_file_names::source_file | ( |  | ) | const
| inline

Definition at line 166 of file compile-internal.h.

References m_source_file.

Referenced by compile_object_load(), compile_to_object(), and eval_compile_command().

## Member Data Documentation

## ◆ m_object_file

std::string compile_file_names::m_object_file
| private

Definition at line 175 of file compile-internal.h.

Referenced by object_file().

## ◆ m_source_file

std::string compile_file_names::m_source_file
| private

Definition at line 174 of file compile-internal.h.

Referenced by source_file().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/compile/compile-internal.h